__gnu_parallel::__unary_negate< _Predicate, argument_type >(3cxx)

NAME
__gnu_parallel::__unary_negate< _Predicate, argument_type >

SYNOPSIS

Inherits std::unary_function< argument_type, bool >.

  Public Types

typedef argument_type argument_type
typedef bool result_type

  Public Member Functions

__unary_negate (const _Predicate &__x)
bool operator() (const argument_type &__x)

  Protected Attributes

_Predicate _M_pred

Detailed Description

  template<typename _Predicate, typename argument_type>
class __gnu_parallel::__unary_negate< _Predicate, argument_type >" Similar to std::unary_negate, but giving the argument types explicitly.

Definition at line 173 of file parallel/base.h.

Member Typedef Documentation

  typedef argument_type std::unary_function< argument_type , bool >::argument_type [inherited]

argument_type is the type of the argument

Definition at line 108 of file stl_function.h.

  typedef bool std::unary_function< argument_type , bool >::result_type [inherited]

result_type is the return type

Definition at line 111 of file stl_function.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.